my firefox3 simply won't start on my 64-bit 11.1 mobo.
I have tried installing several versions (3.4, 3.5, 3.6, 32 bits or 64 bits) and when I type "firefox" at a command line, I either get
"Could not find compatible GRE between version 1.9.0.5 and 1.9.0.5" (see this post)
or
"Couldn't load XPCOM." (see this post)

Help, I really need Firefox (don't we all?)!